#
# spec file for package bombermaze (Version 0.6.5)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  audiofile control-center control-center-devel esound esound-devel gdk-pixbuf gdk-pixbuf-devel glib glib-devel gnome-libs gnome-libs-devel gnome-utils gpc gpp gtk gtk-devel gxmhtml imlib imlib-devel indent libgpp libjpeg libpng libtiff libungif libxml libxml-devel libz orbit orbit-devel xf86 xpm
# usedforbuild    aaa_base aaa_dir audiofile autoconf automake base bash bindutil binutils bison bzip compress control-center control-center-devel cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs esound esound-devel file fileutils findutils flex gawk gcc gdbm gdbm-devel gdk-pixbuf gdk-pixbuf-devel gettext glib glib-devel glibc glibc-devel gnome-libs gnome-libs-devel gnome-utils gpc gpm gpp gppshare grep groff gtk gtk-devel gxmhtml gzip imlib imlib-devel indent kbd less libgpp libjpeg libpng libtiff libtool libungif libxml libxml-devel libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg orbit orbit-devel pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim xdevel xf86 xshared

Name:         bombermaze
%define prefix   /opt/gnome
%define sysconfdir /etc%{prefix}
Copyright:    GPL
Group:        X11/GNOME/Games
  
Autoreqprov:  on
Version:      0.6.5
Release:      192
Summary:      Bomberman clone for GNOME
Source: bombermaze-%{version}.tar.bz2
URL: http://bombermaze.sourcefourge.net/
Docdir: %{_defaultdocdir}/bombermaze

%description
Bombermaze is a multiplayer clone of the popular Bomberman arcade
game.

Authors:
--------
    Sydney Tang <sydney.tang@computer.org>

SuSE series: gnm

%prep
%setup -n bombermaze-%{version}

%build
%{?suse_update_config:%{suse_update_config -fl}}
CFLAGS="$RPM_OPT_FLAGS" \
LIBS=-L/usr/X11R6/lib \
  ./configure \
    --prefix=%prefix \
    --sysconfdir=%sysconfdir \
    --datadir=%prefix/share \
    --localstatedir=/var/lib \
    --with-kde-datadir=/opt/kde
CFLAGS="$RPM_OPT_FLAGS" \
  make

%install
make install

%clean

%files
%defattr(-, root, root)
%doc README COPYING INSTALL TODO AUTHORS
%{prefix}/bin/%{name}
%{prefix}/share/gnome/apps/Games/%{name}.desktop
%{prefix}/share/gnome/help/%{name}/*
%{prefix}/share/pixmaps/%{name}.png
%{prefix}/share/%{name}/*
%{prefix}/share/locale/*/LC_MESSAGES/%{name}.mo
 

%changelog -n bombermaze
* Thu Apr 05 2001 - uli@suse.de
- added suse_update_config before configure (fixes e.g. AXP)
* Mon Apr 02 2001 - hhetter@suse.de
- Initial Package
